## xdg-desktop-portal-kde 6.3.3

=== debian/changelog ===
xdg-desktop-portal-kde (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:27:20 +0000
