## xdg-desktop-portal-kde 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PROJECT_VERSION "6.3.2")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.2")
+set(PROJECT_DEP_VERSION "6.3.4")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
