## xdg-desktop-portal-kde 6.4.3

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:04:46 +0000

xdg-desktop-portal-kde (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:17:34 +0000
