## xdg-desktop-portal-kde 6.4.4

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:44 +0100

xdg-desktop-portal-kde (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:42 +0100
