=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.14.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.4~),
+               kwayland-dev (>= 4:6.4.5~),
                libcups2-dev,
                libkf6config-dev (>= 6.14.0~),
                libkf6coreaddons-dev (>= 6.14.0~),
