## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20250928.0635

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20250928.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:35:39 +0000

xdg-desktop-portal-kde (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:44:57 +0000

xdg-desktop-portal-kde (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:27:46 +0000
