## xdg-desktop-portal-kde 6.4.5+p24.04+vstable+git20251015.1223

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.5+p24.04+vstable+git20251015.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:23:37 +0000
