## xdg-desktop-portal-kde 6.4.91

=== debian/changelog ===
xdg-desktop-portal-kde (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable build-time test suite.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:23:23 +0200
