=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.91~),
+               kwayland-dev (>= 4:6.5.0~),
                libcups2-dev,
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
