=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@
 
 override_dh_auto_test:
-	:
+	xvfb-run -a -- dh_auto_test -Skf6
