## xdg-desktop-portal-kde 6.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
xdg-desktop-portal-kde (6.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:48 +0000

xdg-desktop-portal-kde (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:00 +0000
