=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libcups2-dev,
               libegl1-mesa-dev,
               libepoxy-dev,
               libgbm-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libwayland-dev,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Git: https://invent.kde.org/neon/kde/xdg-desktop-portal-kde.git
Vcs-Browser: https://invent.kde.org/neon/kde/xdg-desktop-portal-kde
Maintainer: Neon CI <neon@kde.org>

Package: xdg-desktop-portal-kde
Architecture: any
Depends: kf6-kirigami2,
         kf6-plasma-framework,
         pipewire,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         xdg-desktop-portal,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).
